# Use the following command to get the commit0 hash value:
# git ls-remote https://github.com/phacility/arcanist.git | grep stable
%global         commit0       ed5d02ab3ef92d140f1dfd21d9cffc0515971726
%global         shortcommit0  %(c=%{commit0}; echo ${c:0:7})

Name:           arcanist
Version:        2018.50
Release:        1.%{shortcommit0}%{?dist}
Summary:        Arcanist is the command-line tool for Phabricator

License:        Apache License, Version 2.0
URL:            https://github.com/phacility/%{name}
Source0:        https://github.com/phacility/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
BuildArch:      noarch

Requires:       libphutil
Requires:       php-cli
Requires:       php-curl
Requires:       php-xml

%description
Arcanist is the command-line tool for Phabricator. It allows you to interact
with Phabricator installs to send code for review, download patches, transfer
files, view status, make API calls, and various other things.

%prep
%autosetup -n %{name}-%{commit0}

%build
%{__rm} bin/arc.bat

%install
%{__install} -d -m 755 %{buildroot}%{_bindir}
%{__install} -d -m 755 %{buildroot}%{_datarootdir}/%{name}
find . -mindepth 1 -maxdepth 1 -exec mv -t %{buildroot}%{_datarootdir}/%{name}/ -- {} +
%{__ln_s} %{_datarootdir}/%{name}/bin/arc %{buildroot}%{_bindir}/arc

%clean

%check

%files
%{_bindir}/arc
%{_datarootdir}/%{name}

%changelog
* Thu May 31 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 2018.50-1.ed5d02a
- Updated to 2018.50 (ed5d02a)

* Thu May 31 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 2018.18-1.733ac80
- Updated to 2018.18 (733ac80)

* Wed Jan 31 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 2018.3-1.886f6e6
- Updated to 886f6e6360ac6069ca8b8af12f69523deee6feda
- Changed versioning to match upstream

* Mon Jul 03 2017 Daniel Uvehag <daniel.uvehag@gmail.com> - 0-3.0c53a35
- Updated to 0c53a35d30e924f902510eb2e497ae5934209304

* Mon May 22 2017 Daniel Uvehag <daniel.uvehag@gmail.com> - 0-2.21fe079
- Updated to 21fe07925b07cab0f73ec824fe8ce02f53b24fe0

* Mon Nov 21 2016 Daniel Uvehag <daniel.uvehag@gmail.com> - 0-1.e17fe43
- Initial packaging
